Update a circle Run in API Explorer
Ask AI
Body
-
Circle name
-
Hex colour for avatar background
-
Account UUIDs belonging to the circle. Between 1 and 100 account UUIDs are required.
-
List of accounts - required without account_uuids
-
Groups UUIDs the circle will belong to. Can belong to a maximum of 50 groups.
-
UUID of the circle's current life stage for expenditure. Pass null to clear.
PUT
/api/v1/circles/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/circles/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"Jones Family","bg_colour":"#DDDDDD","account_uuids":["b3c4e9a2-c55c-405c-8057-94ed760245ae","b22ae139-2207-4e0f-9bf4-330cab3c11e5","7ff72b08-3494-4696-8cf9-21004cf6effa"],"accounts":[{"uuid":"6be0b6ed-0faf-4dfe-ba89-cf5276da8509","login_access_level":"read"}],"group_uuids":["08dd749f-59b1-415b-981e-75b5a17991f2","89460b14-9656-4994-bce5-16dc93dac2df","50755d16-e89f-4293-a55e-2b91689fd96c"],"current_life_stage_uuid":"cc8a612e-9708-451b-994c-2fd9724fdedf"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Jones Family",
"bg_colour": "#DDDDDD",
"account_uuids": [
"b3c4e9a2-c55c-405c-8057-94ed760245ae",
"b22ae139-2207-4e0f-9bf4-330cab3c11e5",
"7ff72b08-3494-4696-8cf9-21004cf6effa"
],
"accounts": [
{
"uuid": "6be0b6ed-0faf-4dfe-ba89-cf5276da8509",
"login_access_level": "read"
}
],
"group_uuids": [
"08dd749f-59b1-415b-981e-75b5a17991f2",
"89460b14-9656-4994-bce5-16dc93dac2df",
"50755d16-e89f-4293-a55e-2b91689fd96c"
],
"current_life_stage_uuid": "cc8a612e-9708-451b-994c-2fd9724fdedf"
}
Response examples (200)
{
"uuid": "95de770b-0a2e-42b3-af3d-9faafeccd606",
"created_at": "2026-08-07T15:29:24+01:00",
"updated_at": "2026-08-07T15:29:24+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-07T15:29:24+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"accounts": [
{
"uuid": "62492b9c-9f37-4dc3-8bfe-6ebce344aefa",
"created_at": "2026-08-07T15:29:24+01:00",
"updated_at": "2026-08-07T15:29:24+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "b0e957af-03d9-4072-9cbe-9b59d7d5e8da",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "68760323-f4da-4f8f-a151-1b3c68c631dd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "68760323-f4da-4f8f-a151-1b3c68c631dd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "56f4ec36-7b7f-4ef4-8cd3-4b19f373ec13",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-08-07T14:39:31+01:00",
"end_date": "2026-08-07T15:07:31+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "eb0f54c4-e036-4d7c-8773-1d49e7dd5697",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00"
},
"tags": {
"uuid": "765192aa-418f-4802-a430-62513b927bcd",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-08-07T15:29:24+01:00",
"next_review_date": "2026-08-07T15:29:24+01:00",
"previous_review_date": "2026-08-07T15:29:24+01:00",
"anniversary_review_date": "2026-08-07T15:29:24+01:00",
"terms_of_business_at": "2026-08-07T15:29:24+01:00",
"client_agreement_at": "2026-08-07T15:29:24+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "2d538014-18fc-4a75-85e0-9b9b4b87f00c",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-07T15:29:31+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "812daeb0-c99e-4443-a1d2-96c81c14328e",
"login_access_level": "write",
"current_life_stage_uuid": "a16ce1f7-248d-4afe-b85e-7f156be71ef4"
},
"circles": {
"uuid": "2d538014-18fc-4a75-85e0-9b9b4b87f00c",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-08-07T15:29:31+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "812daeb0-c99e-4443-a1d2-96c81c14328e",
"login_access_level": "write",
"current_life_stage_uuid": "a16ce1f7-248d-4afe-b85e-7f156be71ef4"
},
"ownership_percentage": 100,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:24",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:24+01:00",
"out_of_office_until": "2026-08-07T15:29:24+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "2244294c-23fd-429a-b952-64a6fc469ad4",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"groups": [
{
"uuid": "a3f3aaae-bfb4-42d0-955e-d6fe1698733e",
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": "248fb463-7cca-45ad-bee2-7e9f8fce98c8",
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-08-07T15:29:24+01:00",
"updated_at": "2026-08-07T15:29:24+01:00"
}
],
"joint_account_uuid": "5ba193f1-44ac-4f4d-a712-709bbce38b07",
"login_access_level": "write",
"current_life_stage_uuid": "81de548f-c549-429d-ba6e-7400e68b5c54",
"external_references": [
{
"uuid": "1bb02681-a508-445c-ab02-9642089d59de",
"created_at": "2026-08-07T15:29:24+01:00",
"updated_at": "2026-08-07T15:29:24+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}